[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSInTransaction

Is the dataset in an active transaction.

## Declaration

Source position: db.pas line 1428

`function IProviderSupport.PSInTransaction: Boolean;`

## Function result

True if a transaction is currently active

## Description

PSInTransaction returns True if the dataset is in an active transaction or False if no transaction is active.

## See also

PSEndTransaction
PSStartTransaction